package com.brilliance;

import com.brilliance.swift.SwiftTransfer;
import org.apache.commons.io.FileUtils;
import org.junit.Test;

import java.io.File;
import java.io.IOException;
import java.util.Map;

/**
 * @Description
 * @Author s_guodong
 * @Date 2023/12/22
 */
public class Mx2MapTest {
    /**
     * 如果origSnFRef=xsys01100101.dlvryNtfctn.origSnFRef不为空则origSnFRef，否则snFRef=xsys01100101.dlvryNtfctn.snFRef
     * ack报文
     *
     * @throws IOException
     */
    @Test
    public void test_xsys011() throws IOException {
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/xsys01100101.xml"));
        String xmlStr = FileUtils.readFileToString(file);
        Map<String, Object> elementMaps = SwiftTransfer.mx2ElementMaps(xmlStr);
        System.out.println(elementMaps);
    }

    /**
     *如果origSnFRef=xsys01100101.dlvryNtfctn.origSnFRef不为空则origSnFRef，否则snFRef=xsys01100101.dlvryNtfctn.snFRef
     *  nck报文
     *
     * @throws IOException
     */
    @Test
    public void test_xsys012() throws IOException {
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/xsys01200101.xml"));
        String xmlStr = FileUtils.readFileToString(file);
        Map<String, Object> elementMaps = SwiftTransfer.mx2ElementMaps(xmlStr);
        System.out.println(elementMaps);
    }


}
